# App Status Reasons App Status Reasons ## Gets all of the app status reasons in the system. - [GET /appStatusReasons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/app-status-reasons/listappstatusreasons.md): This method will scan all app status reasons and and return them to the caller. ## Creates a new app status reason record that does not already exist. - [POST /appStatusReasons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/app-status-reasons/createappstatusreason.md): This method will auto-generate an ID and create a new app status reason. If an ID is specified for the app status reason, an error will be thrown. ## Execute Batch Operations - [POST /appStatusReasons/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/app-status-reasons/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a app status reason from the system by its ID. - [DELETE /appStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/app-status-reasons/deleteappstatusreason.md): This method will delete a app status reason with the specified ID. ## Returns a app status reason from the system by its ID. - [GET /appStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/app-status-reasons/getappstatusreason.md): This method will look up a app status reason by the specified ID and return it back. ## Partially updates a app status reason with the specified ID. - [PATCH /appStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/app-status-reasons/patchappstatusreason.md): This method will patch an existing app status reason with the specified ID, using the HTTP PATCH specification. ## Updates a app status reason with the specified ID. - [PUT /appStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/app-status-reasons/updateappstatusreason.md): This method will update an existing app status reason with the specified ID.